---
title: "Pause automation for a contact"
description: "Sets a contact-level automation pause and cancels currently active workflow and sequence runs for that contact."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Contacts

`POST /api/contacts/{contactId}/pause-automation`

Sets a contact-level automation pause and cancels currently active workflow and sequence runs for that contact.

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `contactId` (`post/api/contacts/contactId/pause-automation.path.contactId`; string, required) — Contact ID to pause.

## Header parameters

- `X-Workspace-Id` (`post/api/contacts/contactId/pause-automation.header.X-Workspace-Id`; string, optional) — Workspace context when the user has switched workspaces.

## Request body

_Required._

- `pauseHours` (`post/api/contacts/contactId/pause-automation.pauseHours`; integer, optional)
  - one of `1`, `2`, `3`
- `pauseDays` (`post/api/contacts/contactId/pause-automation.pauseDays`; integer, optional)
  - one of `1`, `3`, `7`, `14`, `30`, `3650`

## Example request

```json
{
  "pauseHours": 1,
  "pauseDays": 1
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.channelautomation.com/api/contacts/<contactId>/pause-automation' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pauseHours": 1,
  "pauseDays": 1
}
'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/contacts/<contactId>/pause-automation';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({pauseHours: 1, pauseDays: 1})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/contacts/<contactId>/pause-automation"

payload = {
    "pauseHours": 1,
    "pauseDays": 1
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Automation paused and active runs cancelled for the contact.

### 400

Invalid contact or pause duration.

### 401

Authentication required

#### Example

```json
{
  "error": "Authentication required",
  "success": false
}
```

- `error` (`post/api/contacts/contactId/pause-automation.response.401.error`; string, optional)
  - example `"Authentication required"`
- `success` (`post/api/contacts/contactId/pause-automation.response.401.success`; boolean, optional)
  - example `false`

### 404

Contact not found in the workspace.

### 500

Internal server error

#### Example

```json
{
  "error": "Internal server error",
  "details": "string",
  "success": false
}
```

- `error` (`post/api/contacts/contactId/pause-automation.response.500.error`; string, optional)
  - example `"Internal server error"`
- `details` (`post/api/contacts/contactId/pause-automation.response.500.details`; string, optional)
- `success` (`post/api/contacts/contactId/pause-automation.response.500.success`; boolean, optional)
  - example `false`


Source: https://developer.channelautomations.com/api/post-api-contacts-contact-id-pause-automation/index.md
